### Method

# GObject SignalGroup connect

since: 2.72

#### Declaration

    void
    g_signal_group_connect (
      GSignalGroup* self,
      const gchar* detailed_signal,
      GCallback c_handler,
      gpointer data
    )

#### Description

Connects `c_handler` to the signal `detailed_signal` on the target instance of `self`.

You cannot connect a signal handler after `GSignalGroup:target` has been set.

Available since: 2.72

This method is not directly available to language bindings.

#### Parameters

`detailed_signal`

  Type: `const gchar*`

  A string of the form “signal-name::detail”

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`c_handler`

  Type: `GCallback`

  The `GCallback` to connect.

`data`

  Type: `gpointer`

  The data to pass to `c_handler` calls.

  The argument can be `NULL`.
  The data is owned by the caller of the method.